JcaX509v1CertificateBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.jcajce

## Class JcaX509v1CertificateBuilder

- java.lang.Object
- - org.bouncycastle.cert.X509v1CertificateBuilder
  - - org.bouncycastle.cert.jcajce.JcaX509v1CertificateBuilder

-     public class JcaX509v1CertificateBuilder
      extends X509v1CertificateBuilder

  JCA helper class to allow JCA objects to be used in the construction of a Version 1 certificate.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaX509v1CertificateBuilder(org.bouncycastle.asn1.x500.X500Name issuer, java.math.BigInteger serial, java.util.Date notBefore, java.util.Date notAfter, org.bouncycastle.asn1.x500.X500Name subject, java.security.PublicKey publicKey)` Initialise the builder using a PublicKey.
    `JcaX509v1CertificateBuilder(javax.security.auth.x500.X500Principal issuer, java.math.BigInteger serial, java.util.Date notBefore, java.util.Date notAfter, javax.security.auth.x500.X500Principal subject, java.security.PublicKey publicKey)` Initialise the builder using X500Principal objects and a PublicKey.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.cert.X509v1CertificateBuilder

      `build`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaX509v1CertificateBuilder

          public JcaX509v1CertificateBuilder(org.bouncycastle.asn1.x500.X500Name issuer,
                                     java.math.BigInteger serial,
                                     java.util.Date notBefore,
                                     java.util.Date notAfter,
                                     org.bouncycastle.asn1.x500.X500Name subject,
                                     java.security.PublicKey publicKey)

      Initialise the builder using a PublicKey.
      Parameters:
        `issuer` - X500Name representing the issuer of this certificate.
        `serial` - the serial number for the certificate.
        `notBefore` - date before which the certificate is not valid.
        `notAfter` - date after which the certificate is not valid.
        `subject` - X500Name representing the subject of this certificate.
        `publicKey` - the public key to be associated with the certificate.

    - #### JcaX509v1CertificateBuilder

          public JcaX509v1CertificateBuilder(javax.security.auth.x500.X500Principal issuer,
                                     java.math.BigInteger serial,
                                     java.util.Date notBefore,
                                     java.util.Date notAfter,
                                     javax.security.auth.x500.X500Principal subject,
                                     java.security.PublicKey publicKey)

      Initialise the builder using X500Principal objects and a PublicKey.
      Parameters:
        `issuer` - principal representing the issuer of this certificate.
        `serial` - the serial number for the certificate.
        `notBefore` - date before which the certificate is not valid.
        `notAfter` - date after which the certificate is not valid.
        `subject` - principal representing the subject of this certificate.
        `publicKey` - the public key to be associated with the certificate.